/******************************************* Tutył ******************************************/
#lista_tytul {
	background-color: white;
	position: fixed;
	top: 0; 
	width: 100%;
	z-index: 1000;
	border-bottom: 2px solid var(--maincolor);
	box-shadow: 0 0 10px #777;
	opacity: 0;
}

#lista_tytul.duzy_tytul {
	border: none;
	box-shadow: none;
	
}

@media screen and (max-width: 900px) and (orientation: landscape) {
	#lista_tytul {
		position: absolute;
	}
}

/*************************************** Ustawienie diva pod tytułem *****************************/
#lista_tytul + div {
	margin-top: 10rem;
}

@media screen and (max-width: 900px) {
	#lista_tytul + div {
		margin-top: 6rem;
	}
}

/******************************************* Środek tytułu ****************************************/
#tytul_srodek {
	width: var(--pagewidth);
	display: flex;
	position: relative;
	margin: auto;
	padding: 0.75rem 0 0.75rem; 
	box-sizing: border-box;
}

#tytul_srodek > * {
	align-self: center;
	margin-right: 1rem;
	font-size: 1.2rem;
	font-weight: 500;
}

@media screen and (max-width: 1200px) {
	#tytul_srodek {
		padding: 0.75rem 0.5rem 0.75rem;
	}
}

@media screen and (min-width: 901px) {
	#tytul_srodek > * {
		transition: 0.25s;
	}

	#lista_tytul.duzy_tytul #tytul_srodek > * {
		font-size: 1.4rem;
	}
}

/******************************************* Logo ****************************************/
#lista_tytul #logo_ewf {
	height: 4rem; 
}

#lista_tytul #logo_ewf img {
	height: 100%;
}

@media screen and (min-width: 901px) {
	#lista_tytul.duzy_tytul #logo_ewf {
		height: 8rem; 
	}
}

/****************************************** Menu ************************************************/
#lista_tytul #menu_toggle {
	cursor: pointer;
	display: none;
	height: 3rem;
	width: 3rem;
	background-size: contain;
}

#lista_tytul #menu {
	gap: 1rem;
}

#lista_tytul #menu .menu_item {
	color: var(--maincolor);
	letter-spacing: 0.1rem;
	margin: 0.25rem 0.75rem;
	cursor: pointer;
}

#lista_tytul #menu .menu_item:hover {
	color: black;
	transition: 0.25s;
}

#lista_tytul #menu .tylko-login {
	display: none;
}

@media screen and (max-width: 900px) {
	#lista_tytul #menu_toggle {
		display: block;
		order: -1;
		background-image: url("/images/menu-hamburger.png");
	}

	#lista_tytul #menu_toggle.wcisniety {
		background-image: url("/images/close-menu-hamburger.png");
	}

	#lista_tytul #menu {
		flex-direction: column;
		position: absolute;
		top: 5rem;
		left: 0;
		width: 100%;
		z-index: 1000;
		background-color: white;
		padding: 0.5rem;
		border-bottom: 2px solid var(--maincolor);
	}

	#lista_tytul #menu.ukryte {
		display: none;
	}
}

/*************************************** Wyszukiwarka *******************************************/
#lista_tytul #search_toggle {
	cursor: pointer;
	display: none;
	height: 3rem;
	width: 3rem;
	background-size: contain;
}

#lista_tytul #form_szukaj {
	flex-grow: 1;
	max-width: 32rem;
	margin-left: auto;
}

#lista_tytul #form_szukaj input[type=text] {
	border: 1px solid #ccc;
	box-shadow: inset 0 0 0.5rem #ccc;
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
	border-right: none;
	width: 0;
	flex-grow: 1;
}

#lista_tytul #form_szukaj input[type=submit] {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
	background: var(--maincolor) url("/images/search.png") no-repeat center;
	border-color: var(--maincolor);
	background-size: 85%;
	width: 2.2rem;
}

#lista_tytul #form_szukaj input {
	margin: 0;
}

#lista_tytul #select_szukaj {
	margin: 0 0 0 1rem;
}

@media screen and (max-width: 900px) {
	#lista_tytul #search_toggle {
		display: block;
		margin-right: auto;
		background-image: url("/images/open-search.png");
	}
	
	#lista_tytul #search_toggle.wcisniety {
		margin-right: 1rem;
		background-image: url("/images/close-search.png");
	}

	#lista_tytul #form_szukaj.ukryte {
		display: none;
	}

	#lista_tytul #form_szukaj:not(.ukryte) ~ * {
		display: none;
	}
}

@media screen and (max-width: 1200px) {
	#lista_tytul #select_szukaj {
		display: none;
	}
}

/************************* Opcje uzytkownika **********************/
#lista_tytul #user {
	margin-right: 0;
	margin-left: auto;
	cursor: pointer;
	letter-spacing: 0.05rem;
	color: var(--maincolor);
}

#lista_tytul #user #login {
	position: relative;
}

#lista_tytul #user #login #typ {
	position: absolute;
	bottom: -0.6em; 
	font-size: 0.5em;
	width: 82%;
	text-align: center;
	text-transform: uppercase;
}

#lista_tytul #user.niezalogowany #login {
	padding: 0.25em 0.5em 0.25em;
	border: 1px solid var(--maincolor);
	border-radius: 0.3rem;
}

#lista_tytul #user.niezalogowany #login:hover {
	border: 1px solid black;
}

#lista_tytul #user img {
	height: 2.2em;
	margin-right: 0.5em;
}

#lista_tytul #user.ukryte #user_options {
	display: none;
}

#lista_tytul #user #user_options {
	font-size: 1.2rem;
	position: absolute;
	right: 0;
	z-index: 1000;
	background-color: white;
	border: 1px solid var(--maincolor);
	border-radius: 0.3rem;
	margin: 1rem 0.5rem;
}

#lista_tytul #user.ukryte #user_options {
	display: none;
}

#lista_tytul #user #user_options #username {
	font-weight: bold;
	padding: 0.4rem;
	margin: 0.5rem;
	cursor: auto;
	color: #333;
}

#lista_tytul #user #user_options .user_item {
	border-radius: 0.3rem;
	padding: 0.4rem 0.8rem 0.4rem;
	margin: 0.1rem;
}

#lista_tytul #user #user_options .user_item:hover {
	background-color: #eee;
}

/******************************************* Logo creator ****************************************/
#lista_tytul #logo_creator {
	height: 4rem;
	display: none;
}

#lista_tytul #logo_creator img {
	height: 100%;
}

@media screen and (min-width: 901px) {
	#lista_tytul.duzy_tytul #logo_creator {
		height: 8rem; 
	}
}

/******************************************* Rodo ******************************************/
#tytul_rodo {
	color: white;
	background-color: rgba(0, 0, 0, 0.85);
	position: fixed;
	bottom: 0;
	padding: 0.5rem 2rem 1.5rem;
}

#tytul_rodo > div {
	max-height: 7.5rem;
	overflow-y: auto;
	margin: 1rem 0 1rem;
}

@media screen and (max-width: 900px) {
	#tytul_rodo > div {
		max-height: calc(33vh - 5rem);
	}
}

#tytul_rodo button {
	width: 20rem;
	margin: auto;
	display: block;
}